gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for widgets that visualize an .

This class provides helper methods and properties for manipulating concrete widgets like and .

Gtk.Widget Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Sets the step and page sizes for this range. Value difference for step movements, (see below). Value difference for page movements, (see below).

  The size is used when the user clicks the arrows or moves with arrow keys. The size is used for example when moving via Page Up or Page Down keys.

- Method
  System.Void `` `` Sets the limits of this range. The minimum acceptable value for this range. The maximum acceptable value for this range.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Range, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Double Manage the value of this range. The new value for this range. The current value of this range.
- Property
  System.Boolean Manage whether the control of this range is manipulated in the opposite direction. Set to to invert the controls. Whether visual control of the range is currently inverted.

  Setting this to causes a widget to move from right to left, instead of left to right.

- Property
  Gtk.UpdateType Manage how often the value label is updated. A new update policy. The current update policy.
- Property
  Gtk.Adjustment Manipulate the underlying model of this range. Sets a new object to model this range. The current underlying this range.
- Event
  Gtk.MoveSliderHandler Fired when the user moves a slider.
- Event
  System.EventHandler Fired when the value in this range changes.

  Connect to this event with a standard to find out when the value changes.

- Event
  Gtk.AdjustBoundsHandler Fired when the bounds of the range are adjusted.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Protected constructor.
  a